#ifndef VMenuStarter_h
#define VMenuStarter_h

#include "GUIelement.h"
#include <vector>

using namespace std;

/*! \brief VMenuStarter: GUI Element, das andere Elemente steuert. (Kontrolle über die Ecken des Fensters)
*/
class VMenuStarter :
	public GUIelement {
		/*! vector mit anderen GUI Elementen */
		vector<GUIelement*> elements;
		/*! Breite der Ecken */
		int offset;

public:
	/*! Konstruktor
		\param width Breite des Fensters
		\param height Höhe des Fensters
		\param fps akteller fps Wert
		\param elements vector mit anderen GUI Elementen
	*/
    VMenuStarter(int*,int*,unsigned int*,vector<GUIelement*>);
    void motion(int,int);
	bool isInside(int,int);
	void render();

};

#endif // VMenuStarter_h
